Skip to main content
POST
Create a calendar event

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

title
string
required
start_at
string<date-time>
required
end_at
string<date-time>
required
api_provider
string<uuid>
required
custom_fields
unknown
provider
enum<string>
  • G - Google
Available options:
G
external_event
string | null
Maximum string length: 255
external_calendar
string | null
description
string | null
location
string | null
meeting_url
string | null
timezone
string | null
Maximum string length: 50
status
enum<string>
  • S - Scheduled
  • C - Canceled
  • D - Done
Available options:
S,
C,
D
organizer_email
string | null
Maximum string length: 255
stakeholder_values
string<uuid>[] | null
last_synced_at
string<date-time> | null
sync_state
enum<string>
  • OK - Ok
  • NA - Needs Attention
  • ER - Error
Available options:
OK,
NA,
ER
meta
unknown

Response

201 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.